<?php

namespace app\controller;

use ErrorException;
use Exception;
use support\Log;
use support\Request;
use Wandoubaba\Res;

class IndexController
{
    public function index(Request $request)
    {
        $res = new Res();
        $res->setData([env('LOG_MAX_FILES_DEBUG') ?: env('LOG_MAX_FIlES') ?: 7]);
        return json($res);
    }

    public function view(Request $request)
    {
        return view('index/view', ['name' => 'webman']);
    }

    public function json(Request $request)
    {
        return json(['code' => 0, 'msg' => 'ok']);
    }

}
